package com.jeeplus.modules.sg.managementcenter.reserveManagement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.Standard;

import java.util.List;

/**
 * 人员流转 Mapper
 */
@MyBatisMapper
public interface StandardMapper extends BaseMapper<Standard> {
    /**
     * 查询所有项目建设规模详细列表
     * */
    List<Standard> findChildList(Standard standard);

    /**
     * 通过物料类别，物料编码查询项目是否存在
     * */
    Integer findByCodeCate(Standard standard);

    /**
     * 新增详细数据
     * */
    void insertChild(Standard standard);

    /**
     * 修改详细数据
     **/
    void updateChild(Standard standard);

    /**
     * 删除详细数据
     * */
    void deleteChild(Standard standard);

    /**
     * 删除
     */
    void deleteChildList(List<Standard> list);

    /**
     * 列表插入所有详细信息
     * */
    void insertChildList(List<Standard> list);

    /**
     * 获取所有物料详细比对信息
     * */
    List<Standard> findALl();
}
